Page MenuHomePhabricator

Special:WhatLinksHere with "Media" namespace URLs throws an exception (HTTP 500)
Closed, ResolvedPublic

Description

URLs of the form Special:WhatLinksHere/Media:Shellfish.jpg fail with the following error:

Original exception: [2e097b64] /wiki/index.php/Special:WhatLinksHere/Media:Shellfish.jpg MWException from line 56 of C:\Users\Alan\Documents\Programming\MediaWiki\core\includes\MWNamespace.php: MWNamespace::getTalk does not make any sense for given namespace -2
Backtrace:
#0 C:\Users\Alan\Documents\Programming\MediaWiki\core\includes\MWNamespace.php(109): MWNamespace::isMethodValidFor(integer, string)
#1 C:\Users\Alan\Documents\Programming\MediaWiki\core\includes\Title.php(1332): MWNamespace::getTalk(integer)
#2 C:\Users\Alan\Documents\Programming\MediaWiki\core\includes\skins\Skin.php(247): Title->getTalkPage()
#3 C:\Users\Alan\Documents\Programming\MediaWiki\core\includes\skins\Skin.php(172): Skin->preloadExistence()
#4 C:\Users\Alan\Documents\Programming\MediaWiki\Vector\SkinVector.php(47): Skin->initPage(OutputPage)
#5 C:\Users\Alan\Documents\Programming\MediaWiki\core\includes\skins\SkinTemplate.php(233): SkinVector->initPage(OutputPage)
#6 C:\Users\Alan\Documents\Programming\MediaWiki\core\includes\OutputPage.php(2318): SkinTemplate->outputPage()
#7 C:\Users\Alan\Documents\Programming\MediaWiki\core\includes\MediaWiki.php(685): OutputPage->output()
#8 C:\Users\Alan\Documents\Programming\MediaWiki\core\includes\MediaWiki.php(474): MediaWiki->main()
#9 C:\Users\Alan\Documents\Programming\MediaWiki\core\index.php(41): MediaWiki->run()
#10 {main}

Was fixed in rSVN103450 (November 2011) but has regressed.

What is interesting is that on WMF sites, this doesn't show the usual "Wikimedia Foundation error" page, but instead shows a quasi-plain text response of a kind that I have never seen before: https://www.mediawiki.org/wiki/Special:WhatLinksHere/Media:Wiki.png The HTML source of the returned page is exactly the following:

MediaWiki internal error.<br />
<br />
Exception caught inside exception handler.<br />
<br />
Set $wgShowExceptionDetails = true; at the bottom of LocalSettings.php to show detailed debugging information.<br />

Details

Related Gerrit Patches:

Event Timeline

TTO created this task.Aug 31 2015, 10:44 AM
TTO raised the priority of this task from to Needs Triage.
TTO updated the task description. (Show Details)
TTO added a subscriber: TTO.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 31 2015, 10:44 AM
demon triaged this task as Medium priority.Sep 1 2015, 5:38 PM
demon set Security to None.
Florian claimed this task.Sep 16 2015, 3:49 PM

Change 238775 had a related patch set uploaded (by Florianschmidtwelzow):
Extend Title check in Skin for titles without associated titles

https://gerrit.wikimedia.org/r/238775

Change 238775 merged by jenkins-bot:
Extend Title check in Skin for titles without associated titles

https://gerrit.wikimedia.org/r/238775

TTO closed this task as Resolved.Sep 18 2015, 1:46 AM